Similarity (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl
Interface Similarity

All Known Implementing Classes:
  JWNLAlignment.WordNetMatrixMeasure, MatrixMeasure

    public interface Similarity

Represents the implementation of a similarity measure

Version:
  $Id: Similarity.java 1205 2010-01-10 21:00:31Z euzenat $
Author:
  Jérôme Euzenat

Method Summary
`double` | `classMeasure(Object c1, Object c2)`
`void` | `compute(Properties p)`
`double` | `getClassSimilarity(Object c1, Object c2)`
`double` | `getIndividualSimilarity(Object i1, Object i2)`
`double` | `getPropertySimilarity(Object p1, Object p2)`
`double` | `individualMeasure(Object i1, Object i2)`
`void` | `initialize(LoadedOntology<Object> onto1, LoadedOntology<Object> onto2)`
`void` | `initialize(LoadedOntology<Object> onto1, LoadedOntology<Object> onto2, Alignment align)`
`double` | `measure(Object c1, Object c2)`
`void` | `printClassSimilarityMatrix(String type)`
`void` | `printIndividualSimilarityMatrix(String type)`
`void` | `printPropertySimilarityMatrix(String type)`
`double` | `propertyMeasure(Object p1, Object p2)`

Method Detail

### initialize

    void initialize(LoadedOntology<Object> onto1,
                    LoadedOntology<Object> onto2)

### initialize

    void initialize(LoadedOntology<Object> onto1,
                    LoadedOntology<Object> onto2,
                    Alignment align)

### compute

    void compute(Properties p)

### getClassSimilarity

    double getClassSimilarity(Object c1,
                              Object c2)

### getPropertySimilarity

    double getPropertySimilarity(Object p1,
                                 Object p2)

### getIndividualSimilarity

    double getIndividualSimilarity(Object i1,
                                   Object i2)

### printClassSimilarityMatrix

    void printClassSimilarityMatrix(String type)

### printPropertySimilarityMatrix

    void printPropertySimilarityMatrix(String type)

### printIndividualSimilarityMatrix

    void printIndividualSimilarityMatrix(String type)

### measure

    double measure(Object c1,
                   Object c2)
                   throws Exception

  Throws:
    `Exception`

### classMeasure

    double classMeasure(Object c1,
                        Object c2)
                        throws Exception

  Throws:
    `Exception`

### propertyMeasure

    double propertyMeasure(Object p1,
                           Object p2)
                           throws Exception

  Throws:
    `Exception`

### individualMeasure

    double individualMeasure(Object i1,
                             Object i2)
                             throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010